/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SftpTransferProviderFactory.java 5702 2011-01-29 18:17:28Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.ssh.impl.jsch;

import org.ow2.util.protocol.api.ITransferProviderFactory;
import org.ow2.util.protocol.api.ProtocolException;

/**
 *
 * @author Loris Bouzonnet
 */
public class SftpTransferProviderFactory implements
        ITransferProviderFactory<SshProtocolSession> {

	public SftpTransferProvider createTransferProvider(
            final SshProtocolSession protocolSession) throws ProtocolException {
		return new SftpTransferProvider(protocolSession);
	}

}
